Introduction

Welcome to the Gamry Instruments, Inc. PV220Ô Pulse Voltammetry package. This package is meant for researchers who are performing studies in the area of electrochemistry. Included in the package are techniques for performing Sampled DC Voltammetry, Normal Pulse, Differential Pulse, and Square Wave Voltammetry. Stripping voltammetric experiments are also available.

Additional techniques include Potentiostatic Generic Pulse, and Galvanostatic Generic Pulse.


Purpose

Differential Pulse Voltammetry (DPV) is used for both quantitative chemical analysis and to study the mechanism, kinetics, and thermodynamics of chemical reactions. It is often used with a Dropping Mercury Electrode (DME) or with a Static Mercury Drop Electrode (SMDE). When used with either of these electrodes it is often called Differential Pulse Polarography (DPP), although this name is often used for the general technique.

DPV used as an analytical tool offers advantages when compared to other electrochemical techniques. DPV is very sensitive – often allowing direct analyses at the ppb (parts per billion) level. When used in a stripping mode, ppt (parts per trillion) analyses are possible. DPV owes its sensitivity to the relatively short pulse time and its differential nature. The short pulse time increase the measured currents while the differential measurement discriminates against background processes.

Other techniques, such as cyclic voltammetry are generally preferred over DPV for mechanistic and kinetic studies. However, there are many references in the literature for mechanistic and kinetic studies using DPV.

DPV may be performed on a stationary solid electrode, on a rotated electrode, on an SMDE, or on a DME. The DPV script in the PV220 provides for mercury drop generation, solution deaeration, and experiment sequencing suitable for the most common applications for differential pulse voltammetry or polarography.

The type of electrode is chosen using the Electrode Setup Panel.

Additional sequencing steps suitable for anodic (or cathodic) stripping are implemented in the PV220’s DPS (differential pulse stripping) technique. If you wish to perform the DPV experiment on a hanging mercury drop (HMDE), you should use the DPS technique to automatically generate the single mercury drop generation signal at the start of the experiment.


Applied Waveform and Data Acquisition

In a differential pulse voltammetric experiment, a complex voltage scan is applied to the working electrode in an electrochemical cell. This waveform can be constructed as a sequence of fixed height pulses (Curve A, below) added to a voltage staircase (Curve B, below). The resulting waveform is seen in the figure below (Curve C).

The pulse height is generally 20 to 50 mV. The staircase has 2 to 10 mV steps. In the Figure above, notice that the pulse and staircase steps are synchronized. Unlike square wave voltammetry, the pulse time is much shorter than the staircase stepping rate, and the waveform is asymmetrical.

The staircase waveform in the PV220 is defined to begin at Initial E and end at Final E. The duration of the scan is defined by the staircase step height (Step Height), the step time (Pulse Time), and the initial and final potentials.

Scan Time = Pulse Time · (Final E – Initial E) / (Step Height)


Differential Pulse Experimental Sequence

  1. The Framework creates a Runner window and the “Differential Pulse Voltammetry.exp" script is run in this window.
  2. The script creates the Setup dialog box, which becomes the active window and accepts changes in the experimental parameters. This Setup box remembers the experimental settings from the last time this script was run. To restore the parameters to the values defined in the script, select the Default button. If the Advanced Pstat Setup is toggled to the on position, a second Setup dialog box containing hardware configuration details will become the active window allowing the user to modify the hardware configuration used during the experiment.
  3. The script next obtains the use of the potentiostat specified during Setup and opens the data file using the Output File name. If the potentiostat is in use or the file cannot be opened, the script returns you to the Setup dialog box.

    The Potentiostat is initialized. By default, the potentiostat’s cell switch is turned Off when the potentiostat is attached to the script.
  4. The file header information is written to the data file.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.

    This header information includes:

    a. Tags identifying possible analyses

    b. The current time and date

    c. A list of the Setup parameters and hardware configuration
  5. If a purge time greater than zero has been selected, the potentiostat’s control bits for purge gas flow and stirring are turned on. The effect of these bits depends on the electrode being used and the Framework’s purge and stir settings.

    The script delays for the purge time, then turns Off the stirring and purge gas control bits.
  6. The script delays for a time set by the Quiet Time parameter.
  7. The current range is set to a range that allows the measurement of currents as big as the value of the Max I Setup parameter.
  8. The potential is set to Initial E and the cell is turned on
  9. If the Equilibration time parameter is greater than zero, the script delays for Tequil.
  10. Finally the actual scan occurs.
  11. N is the number of steps that have already occurred. At the start of the scan N is zero.
  12. The potential of the sample is set to Initial E plus N times the step height. If a Mercury electrode has been specified in the Advanced menu, a New Drop pulse is issued. This potential is applied for Tstep - Tpulse. At the end of this time, a current measurement is made.
  13. A voltage equal to the pulse height is added to the cell voltage. The pulse height sign is controlled so that the pulse is always in the direction of the final potential. This new voltage is held for Tpulse. At the end of this time, a second current measurement is made.
  14. The difference between the 2nd and 1st current measurement is calculated and plotted versus the potential prior to the pulse.

    If Autoranging was selected in Setup and Tpulse is less than 20 ms, after each point the current range is automatically switched to the optimal range for the measured cell currents.

    Note:     If Noise Rejection has been checked in Setup and if the pulse time is long enough (40 ms for 50 Hz or 33.3 ms for 60 Hz), each current measurement will represent the average current measured over one complete line cycle (mains cycle).
  15. Steps 12 through 14 are repeated until the potential prior to the pulse equals the final potential.
  16. The cell is turned off. The script pauses to allow you to admire the curve you have just collected.


Differential Pulse Setup Paramters

Differential Pulse Setup Parameters


Purpose

Square-Wave Voltammetry (SWV) is used for both quantitative chemical analysis and to study the mechanism, kinetics, and thermodynamics of chemical reactions.

SWV used as an analytical tool offers three major advantages when compared to other electrochemical techniques.

  1. SWV is very sensitive – often allowing direct analyses at the ppb (parts per billion) level and even the low ppt (parts per trillion) level when used in a stripping mode.
  2. SWV requires less time per sweep than older techniques such as differential pulse polarography. A SWV sweep can often be recorded in less than ten seconds, in contrast with a differential pulse polarogram that typically requires more than two minutes for data acquisition.
  3. The square-wave frequency can be used to differentiate between processes with fast and slow kinetics. In some cases, kinetically fast processes can be measured without interference from slower processes that occur in the same potential range.

Other techniques, such as cyclic voltammetry are generally preferred over SWV for mechanistic and kinetic studies. However, square-wave voltammetry’s sensitivity allows mechanistic and kinetic measurements in solutions that are too dilute for more conventional study.

SWV is generally performed on a stationary solid electrode or a hanging mercury drop electrode. The SWV script in the PV220 provides for mercury drop generation, solution deaeration, and experiment sequencing suitable for the most common applications for square-wave voltammetry.

The type of electrode is chosen using the Electrode Setup Panel.

Additional sequencing steps suitable for square-wave anodic (or cathodic) stripping are implemented in the PV220’s SWS (square-wave stripping) technique.


Applied Waveform and Data Acquisition

The PV220 implements a popular form of square-wave voltammetry generally called “Osteryoung” SWV. Another variant, known as “Barker” SWV involving a linear voltage ramp, is less common, and not implemented in the PV220.

In a square-wave voltammetric experiment, a complex voltage sweep is applied to the working electrode in an electrochemical cell. This waveform can be constructed as a sequence of fixed height pulses (Curve A, below) added to a voltage staircase (Curve B, below). The resulting waveform is seen in the figure below.

The pulse height is generally 20 to 50 mV. The staircase has 2 to 10 mV steps. In the Figure above, notice that the square-wave and staircase waveforms are synchronized and that the square-wave has a 50% duty cycle.

The staircase waveform in the PV220 is defined to begin at Einitial and end at Efinal The duration of the sweep is defined by the staircase step height (Estep), the square-wave frequency (F), and the initial and final potentials.

Sweep Time = (Efinal – Einitial) / (F · Estep)


Square Wave Voltammetry Experimental Sequence

  1. The Framework creates a Runner window and the "Square Wave Voltammetry.exp" script is run in this window.
  2. The script creates the Setup dialog box, which becomes the active window and accepts changes in the experimental parameters. This Setup box remembers the experimental settings from the last time this script was run. To restore the parameters to the values defined in the script, select the Default button. If the Advanced Pstat Setup is toggled to the on position a second Setup dialog box containing hardware configuration details will become the active window allowing the user to modify the hardware configuration used during the experiment.
  3. The script next obtains the use of the potentiostat specified during Setup and opens the data file using the Output File name. If the potentiostat is in use or the file cannot be opened, the script returns you to the Setup dialog box.

    By default, the potentiostat’s cell switch is turned Off when the potentiostat is attached to the script.
  4. The file header information is written to the data file.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.

    This header information includes:

    a. Tags identifying possible analyses

    b. The current time and date

    c. A list of the Setup parameters and hardware configuration
  5. If a purge time greater than zero has been selected, the potentiostat’s control bits for purge gas flow and stirring are turned on.

    The script delays for the purge time, then turns Off the stirring and purge gas control bits.
  6. If the electrode being used is an HMDE, a new drop is formed by momentarily activating the potentiostat’s New Drop control bit.
  7. The script delay’s for a time set by the Quiet Time parameter.
  8. The potentiostat is initialized. The current range is set to a range that allows the measurement of currents as big as the value of the Max I Setup parameter.
  9. Finally the actual scan occurs.
  10. N is the number of square-wave cycles that have already occurred. At the start of the scan N is zero.
  11. The potential of the sample is set to the staircase potential (Initial E plus N times the step height) plus the pulse size. This potential is applied for ½ the square-wave period. At the end of this time, a current measurement is made. The pulse size sign is controlled so that the pulse is always in the direction of the final potential.
  12. A voltage equal to two times the pulse height is subtracted from the cell voltage. This voltage is equivalent to Initial E plus N times the step height minus the pulse size This new voltage is held for ½ the square-wave period. At the end of this time, a current measurement is made.
  13. The difference between the 1st and 2nd current measurement (I1-I2) is calculated and plotted versus the staircase potential.
  14. If Autoranging was selected in Setup and the SWV frequency is less than 50 Hz, after each point the current range is automatically switched to the optimal range for the measured cell currents.
  15. Steps 11 through 14 are repeated until the staircase potential equals the final potential.
  16. The cell is turned off. The script pauses to allow you to admire the curve you have just collected.


Square Wave Voltammetry Setup Paramters

Square Wave Voltammetry Setup Parameters


Purpose

Sampled DC Voltammetry - Purpose

Sampled DC Voltammetry (SDC) is used for both quantitative chemical analysis and to study the mechanism, kinetics, and thermodynamics of chemical reactions.

SDC is the digital version of the most venerable polarographic/voltammetric technique from the early days of electrochemistry in which an analog voltage “ramp” was applied to the working electrode. If the electrode was a solid electrode (Pt, Au, glassy carbon), the technique is generally referred to as Linear Sweep Voltammetry. If the electrode was a Dropping Mercury Electrode, the technique was called Polarography and was characterized by large current fluctuations as a result of the change in size of the mercury drop as it grew and fell.

In Sampled DC Voltammetry, the voltage is applied to the working electrode as a staircase waveform. The current is sampled electronically immediately prior to each step. This method of current measurement results in a smooth S-shaped voltammogram with a DME. In terms of sensitivity, SDC is the least sensitive technique in the PV220.

SDC may be performed on a stationary solid electrode, a rotated electrode, a hanging mercury drop electrode, a Static Mercury Drop Electrode, or a dropping mercury electrode. The SDC script in the PV220 provides for mercury drop generation, solution deaeration, and experiment sequencing suitable for the most common applications for Sampled DC Voltammetry.

The type of electrode is chosen using the Electrode Setup Panel.

Additional sequencing steps suitable for sampled DC anodic (or cathodic) stripping are implemented in the PV220’s SDCS (Sampled DC Stripping) technique.


Applied Waveform and Data Acquisition

In a Sampled DC voltammetric experiment, a staircase voltage sweep is applied to the working electrode in an electrochemical cell. This staircase waveform is defined by the Step Size (mV) and the Sampling Period (seconds). The resulting waveform is seen in the Figure below.

The staircase generally uses 2 to 10 mV steps and a Sampling Period of 0.5 to 2 seconds. The effective scan rate is the Step Size divided by the Sampling Period.

Waveform for Sampled DC Voltammetry


Sampled DC Voltammetry - Experimental Sequence

  1. The Framework creates a Runner window and the "Sampled DC Voltammetry.exp" script is run in this window.
  2. The script creates the Setup dialog box, which becomes the active window and accepts changes in the experimental parameters. This Setup box displays the parameter settings from the last time this script was run. To restore the parameters to the values defined in the script, select the Default button. If the Advanced Pstat Setup is toggled to the ON position, a second Setup dialog box containing hardware configuration details will become the active window, allowing the user to modify the hardware configuration used during the experiment.
  3. The script next obtains the use of the potentiostat specified during Setup and opens the data file using the Output File name. If the potentiostat is in use or the file cannot be opened, the script returns you to the Setup dialog box.

    By default, the potentiostat’s cell switch is turned Off when the potentiostat is attached to the script.
  4. The file header information is written to the data file.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.

    This header information includes:

    a. Tags identifying possible analyses

    b. The current time and date

    c. A list of the Setup parameters and hardware configuration
  5. If a purge time greater than zero has been selected, the potentiostat’s control bits for purge gas flow and stirring are turned ON.

    The script delays for the purge time, then turns OFF the stirring and purge gas control bits.
  6. If the electrode being used is a DME, SMDE, or HMDE, a new drop is formed by momentarily activating the potentiostat’s New Drop control bit.
  7. The script delays for a time set by the Quiet Time parameter.
  8. The potentiostat is initialized. The current range is set to a range that allows the measurement of currents as big as the value of the Max I Setup parameter.
  9. The actual scan occurs.
  10. The potential of the sample is set to the Initial E. At the end of the Sampling Period, a current measurement is made. If the electrode in use is a SMDE or DME, the mercury drop is dislodged.
  11. A voltage equal to the Step Size is added to the cell voltage. The voltage step sign is controlled so that the pulse is always in the direction of the final potential. This new voltage is held for one Sampling Period. At the end of this time, a current measurement is made. If the electrode in use is an SMDE, the mercury drop is dislodged.
  12. If Autoranging was selected in Setup, after each point the current range is automatically switched to the optimal range for the measured cell currents.
  13. Steps 11 and 12 are repeated until the potential equals the final potential.
  14. The cell is turned OFF. The script pauses to allow you to observe the curve you have just collected. Close the curve with F2/Skip before attempting to open the data file in the Echem Analyst.


Sampled DC Voltammetry Setup Paramters

Sampled DC Voltammetry Setup Parameters


Purpose

Normal Pulse Voltammetry (NPV) is used for both quantitative chemical analysis and to study the mechanism, kinetics, and thermodynamics of chemical reactions.

NPV provides higher sensitivity than non-pulse methods such as Sampled DC Voltammetry. Normal Pulse may be used with a solid electrode (Pt, Au, glassy carbon), a Hanging Mercury Drop Electrode, or a Dropping Mercury Electrode.

In NPV, the voltage is applied to the working electrode as a series of increasing pulses. The current is sampled electronically at the end of each pulse. This method of current measurement results in a smooth S-shaped voltammogram. In terms of sensitivity, NPV is excellent.

NPV may be performed on a stationary solid electrode, a rotated electrode, a hanging mercury drop electrode, a Static Mercury Drop Electrode, or a dropping mercury electrode. The NPV script in the PV220 provides for mercury drop generation, solution deaeration, and experiment sequencing suitable for the most common applications for Sampled DC Voltammetry.

The type of electrode is chosen using the Electrode Setup Panel.

Additional sequencing steps suitable for Normal Pulse anodic (or cathodic) Stripping are implemented in the PV220’s NPS (Normal Pulse Stripping) technique.


Applied Waveform and Data Acquisition

In a Normal Pulse voltammetric experiment, a series of ever-increasing voltage pulses is applied to the working electrode in an electrochemical cell. This staircase waveform is defined by the Step Size (mV) and the Sampling Period (seconds). The resulting waveform is seen in the Figure below.

The staircase generally uses 2 to 10 mV Step Size and a Sampling Period of 0.5 to 2 seconds. The effective scan rate is the Step Size divided by the Sampling Period.


Normal Pulse Voltammetry Experimental Sequence

  1. The Framework creates a Runner window and the "Normal Pulse Voltammetry.exp" script is run in this window.
  2. The script creates the Setup dialog box, which becomes the active window and accepts changes in the experimental parameters. This Setup box displays the parameter settings from the last time this script was run. To restore the parameters to the values defined in the script, select the Default button. If the Advanced Pstat Setup is toggled to the ON position, a second Setup dialog box containing hardware configuration details will become the active window, allowing the user to modify the hardware configuration used during the experiment.
  3. The script next obtains the use of the potentiostat specified during Setup and opens the data file using the Output File name. If the potentiostat is in use or the file cannot be opened, the script returns you to the Setup dialog box.

    By default, the potentiostat’s cell switch is turned OFF when the potentiostat is attached to the script.
  4. The file header information is written to the data file.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.

    This header information includes:

    a. Tags identifying possible analyses

    b. The current time and date

    c. A list of the Setup parameters and hardware configuration
  5. If a purge time greater than zero has been selected, the potentiostat’s control bits for purge gas flow and stirring are turned ON.

    The script delays for the purge time, then turns OFF the stirring and purge gas control bits.
  6. The script delays for a time set by the Quiet Time parameter.
  7. If the electrode being used is an HMDE, a new drop is formed by momentarily activating the potentiostat’s New Drop control bit.
  8. The potentiostat is initialized. The current range is set to a range that allows the measurement of currents as big as the value of the Max I Setup parameter.
  9. The actual scan occurs.
  10. The potential of the sample is set to the Initial E. At the end of the Sampling Period, a current measurement is made. If the electrode in use is an SMDE or DME, the mercury drop is dislodged.
  11. The Initial E is applied to the cell during the initial stages of the second (and subsequent) current measurement. After a time equal to (Sampling Period – Pulse Width), a pulse of magnitude (Step Size) is applied to the electrode. The voltage step sign is controlled so that the pulse is always in the direction of the final potential. This voltage pulse is held for one Pulse Width. At the end of this time, a current measurement is made. If the electrode in use is an SMDE or DME, the mercury drop is dislodged.
  12. If Autoranging was selected in Setup, after each point the current range is automatically switched to the optimal range for the measured cell currents.
  13. Steps 11 through 12 are repeated. With each current measurement, the pulse is increased by a magnitude defined by Step Size in mV. The experiment is complete when the potential corresponding to the sum of the Initial Potential and the Pulse equals the Final Potential.
  14. The cell is turned OFF. The script pauses to allow you to observe the curve you have just collected. Close the curve with F2/Skip before attempting to open the data file in the Echem Analyst.


Normal Pulse Setup Parameters


Purpose

Reverse Normal Pulse Voltammetry (RNP) is used for both quantitative chemical analysis and to study the mechanism, kinetics, and thermodynamics of chemical reactions. It is often used with a Dropping Mercury Electrode (DME) or with a Static Mercury Drop Electrode (SMDE). When used with either of these electrodes it is often called Reverse Normal Pulse Polarography (DPP), although this name is often used for the general technique.

Other techniques, such as cyclic voltammetry are generally preferred over RNP for mechanistic and kinetic studies. However, there are many references in the literature for mechanistic and kinetic studies using RNP.

RNP may be performed on a stationary solid electrode, a rotated electrode, a SMDE, or a DME. The RNP script in the PV220 provides for mercury drop generation, solution deaeration, and experiment sequencing suitable for the most common applications for reverse normal pulse voltammetry or polarography.

The type of electrode is chosen using the Electrode Setup Panel.

Additional sequencing steps suitable for anodic (or cathodic) stripping are implemented in the PV220’s RNS (reverse normal pulse stripping) technique. If you wish to perform the RNP experiment on a single mercury drop, you should use the RNS technique to automatically generate the single mercury drop generation signal at the start of the experiment.


Applied Waveform and Data Acquisition

In a reverse normal pulse voltammetric experiment, a complex voltage scan is applied to the working electrode in an electrochemical cell. The waveform is the sum of a growing pulse (Curve A in the Figure Below) and a staircase (Curve B in the Figure below). The resulting waveform is seen in the Figure below, Curve C.

The pulse and the staircase both grow by the step height with each repetition. The resulting waveform may also be thought of as a staircase that has a pulse back to the starting potential at the end of the step.

The staircase has 2 to 10 mV steps. In the Figure above, notice that the pulse and staircase steps are synchronized. Unlike square wave voltammetry, the pulse time is much shorter than the staircase stepping rate, and the waveform is asymmetrical.

The staircase waveform in the PV220 is defined to begin at Einitial and end at Efinal The duration of the scan is defined by the staircase step height (Estep), the step time (Tstep), and the initial and final potentials.

Scan Time = Tstep · (Efinal – Einitial) / (Estep)


Reverse Normal Pulse Voltammetry Experimental Sequence

  1. The Framework creates a Runner window and the “Reverse Normal Pulse Voltammetry.exp" script is run in this window.
  2. The script creates the Setup dialog box, which becomes the active window and accepts changes in the experimental parameters. This Setup box remembers the experimental settings from the last time this script was run. To restore the parameters to the values defined in the script, select the Default button. If the Advanced Pstat Setup is toggled to the on position a second Setup dialog box containing hardware configuration details will become the active window allowing the user to modify the hardware configuration used during the experiment.
  3. The script next obtains the use of the potentiostat specified during Setup and opens the data file using the Output File name. If the potentiostat is in use or the file cannot be opened, the script returns you to the Setup dialog box.

    By default, the potentiostat’s cell switch is turned Off when the potentiostat is attached to the script.
  4. The file header information is written to the data file.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.

    This header information includes:

    a. Tags identifying possible analyses

    b. The current time and date

    c. A list of the Setup parameters and hardware configuration
  5. If a purge time greater than zero has been selected, the potentiostat’s control bits for purge gas flow and stirring are turned on. The effect of these bits depends on the electrode being used and the Framework’s purge and stir settings.

    The script delays for the purge time, then turns Off the stirring and purge gas control bits.
  6. The script delays for a time set by the Quiet Time parameter.
  7. The potentiostat is initialized. The current range is set to a range that allows the measurement of currents as big as the value of the Max I Setup parameter.
  8. Finally the actual scan occurs.
  9. N is the number of steps that have already occurred. At the start of the scan N is zero.
  10. The potential of the sample is set to Initial E plus N times the step height. If a DME, SMDE, or HDME electrode has been specified in the Electrode Settings, a New Drop pulse is issued. This potential is applied for Tstep - Tpulse. At the end of this time, a current measurement is made.
  11. The cell voltage is returned to the Initial E. This new voltage is held for Tpulse. At the end of this time, a second current measurement is made.
  12. The 2nd current measurement is plotted versus the potential prior to the pulse.

    If Autoranging was selected in Setup and Tpulse is less than 20 ms, after each point the current range is automatically switched to the optimal range for the measured cell currents.

    Note: If Line Rejection has been checked in Setup and if the pulse time is long enough (40 ms for 50 Hz or 33.3 ms for 60 Hz), each current measurement will represent the average current measured over one complete line cycle (mains cycle).
  13. Steps 10 through 12 are repeated until the potential prior to the pulse equals the final potential.
  14. The cell is turned off. The script pauses to allow you to admire the curve you have just collected.


Reverse Normal Pulse Setup Parameters


Stripping Voltammetry Pre-concentration Steps

Each voltammetric technique also has a stripping variation. For descriptions on the normal operation of the experiment, please read the experiment specific help topic.

In any stripping experiment there are several steps prior to the start of the voltage scan. The purpose of these pre-experiment steps is to (optionally) clean the electrode and to accumulate or concentrate the analyte on the electrode. The currents during the stripping scan are increased due to this accumulation. This gives stripping voltammetric techniques their increased sensitivity.

The experimenter may use the Conditioning parameter to place the electrode in a reproducible state for each analysis. During this time the potentiostat’s stirring control bit is activated to sweep away reaction products. The potential may be selected to remove any impurities present on the electrode.

Following the (optional) Conditioning, the potential is set to the Initial potential and the Accumulation Time begins. During this time the analyte is accumulated (plated or adsorbed) on the electrode. The potentiostat’s stirring control bit is activated during this time to increase the efficiency of the accumulation. In general, the size of the analytical signal produced increases with increasing accumulation time. For very dilute solutions (parts per Trillion!) you may choose an accumulation time of several minutes or more in order to accumulate a detectible amount of analyte.

Following the Accumulation time, the stirrer is turned off for a time specified by the Equilibration Time parameter. This allows the convection caused by the stirrer to dissipate before the scan begins. The cell switch remains in the ON position during this period. Although the choice of stirrer and cell design will influence your choice for this parameter, 15 sec is often sufficient. The Equilibration Time differs from the Quiet Time. During the Quiet Time the potentiostat’s cell switch is in the OFF position.

Stripping experiments should not be performed on a DME or SMDE.


Purpose

Generic Pulse Waveform is used for experiments that require a repeating square-wave pulsed waveform in which the characteristics of the pulse can be easily modified. Pulse plating is a common application of the Generic Pulse Waveform. Battery developers, fuel cell developers, and sensor developers may also have need of the Generic Pulse Waveform. The generic pulse can be under either Potentiostatic or Galvanostatic control.

The Generic Pulse Waveform may be used with a solid electrode (e.g., Pt, Au, glassy carbon), a rotated electrode, or a Hanging Mercury Drop Electrode.

The type of electrode chosen will determine whether mercury drop formation signals are generated. The Purge & Stir information will determine whether deaeration (purge) and stir signals are output.


Applied Waveform and Data Acquisition

The Generic Pulse Waveform allows the user to completely define a square-wave waveform. The waveform is shown in the Figure below.

The signal levels are defined by the DC Offset value combined with the Amplitude of the square wave. The minimum value for t1 and t2 is 1 msec. The square wave may be asymmetrical, i.e., t1 and t2 may have different values.

There are three modes of current or potential measurement:

  1. Measure the current or potential every 1 msec or higher.
  2. Measure the last point prior to the upcoming pulse.
  3. Enable “Noise Rejection” to enable data point averaging and to achieve the highest signal-to-noise ratio.


Generic Pulse Experimental Sequence

  1. The Framework creates a Runner window and either the "Galvanostatic Generic Pulse.exp" or the "Potentiostatic Generic Pulse.exp" script is run in this window.
  2. The script creates the Setup dialog box, which becomes the active window and accepts changes in the experimental parameters. This Setup box displays the parameter settings from the last time this script was run. To restore the parameters to the values defined in the script, select the Default button. If the Advanced Pstat Setup is toggled to the ON position, a second Setup dialog box containing hardware configuration details will become the active window, allowing the user to modify the hardware configuration used during the experiment.
  3. Using the experimental parameters, the script calculates the approximate number of data points to be collected during the experiment. If the number of data points exceeds the maximum, an error message is displayed.
  4. The script next obtains the use of the potentiostat specified during Setup and opens the data file using the Output File name. If the potentiostat is in use or the file cannot be opened, the script returns you to the Setup dialog box. By default, the potentiostat’s cell switch is turned OFF when the potentiostat is attached to the script.
  5. The file header information is written to the data file.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.

    This header information includes:

    a. Tags identifying possible analyses

    b. The current time and date

    c. A list of the Setup parameters and hardware configuration
  6. If a purge time greater than zero has been selected, the potentiostat’s control bits for purge gas flow and stirring are turned ON. The effect of these bits depends on the electrode being used and the Framework’s purge and stir settings.

    The script delays for the purge time, then turns OFF the stirring and purge gas control bits.
  7. If the electrode being used is an HMDE, a new drop is formed by momentarily activating the potentiostat’s New Drop control bit.
  8. The script delays for a time set by the Quiet Time parameter.
  9. The potentiostat is initialized. In Potentiostatic mode, the current range is set to a range that allows the measurement of currents as big as the value of the Max I Setup parameter. In Galvanostatic mode, the current range is set to a value which can be used to apply the requested current.
  10. The actual scan occurs.
  11. The potential (current) of the sample is set to the DC Offset level. The current (potential) measurement is made as specified in the Setup.
  12. The pulse is applied and the current (potential) measurement is made as specified in the Setup.
  13. Steps 11 and 12 are continued until the Experiment Time has elapsed.


Generic Pulse Setup Parameters


PV220 Analysis Overview

The PV220 uses the Gamry Echem Analyst to display, analyze, and print acquired data files. The Gamry Echem Analyst also allows the user to use experiment specific analysis commands. For example, in the Square Wave voltammetry, you can use the peak find tool by selecting the analysis command from the experiment specific pull down menu.

The Gamry Echem Analyst uses Visual Basic for Applications (VBA) as a scripting language to control the graphing and manipulation of the experimental data. Gamry's standard VBA analysis scripts are accessible by the user, so that they can be modified to include special analysis routines that are customized to your laboratories' needs. Please refer to the Gamry Echem Analyst section of Help for information on customizing analysis scripts.


Add E Constant

The Add E Constant command is used to offset the active trace by a user specified voltage. This is useful for displaying data versus a different reference electrode (NHE) than was actually used to run the experiment. The steps to follow to use this command are as follows:

  1. Make the trace you wish to offset the Active trace. This can be done by right clicking on the trace and pressing Activate Trace.
  2. Select the Add E Constant command from the document menu.
  3. Enter the voltage to offset the trace in the dialog, and click Ok.


Clear Peaks

The Clear Peaks command will clear all the peaks associated with the chart. Any peaks that are marked will be removed as well. Any pages associated with peak information will be removed.


Linear Fit

The Linear Fit command performs a linear least squares fit on a user defined region of data and adds the resulting line as a trace on the chart. This line can then be used as a baseline for certain types of calculations, such as Peak Height. In order to use this command, a region must be specified on the Active trace.

The steps to use this command are as follows:

  1. Make the trace on which to fit a line the Active Trace. This can be done by right clicking on the trace and pressing Activate Trace.
  2. Select a region on this trace using the Select Portion of Curve tool [image]. To use this tool, left click with the mouse close to one bounding point of the region. Next, left click again near the second bounding point of the region. The region will become highlighted. To re-select a region, simply toggle the Select Portion of Curve tool, and try again.

  3. Once a region is selected, press the Linear Fit command on the document menu. The algorithm will now begin to fit a line to the selected region. Once the fit is complete, a new trace will be added to the chart.

    The equation is initially shown in the QuickView region of the chart. You can also view the equation for the new line by moving the mouse cursor over the line and watching the tool-tip.


Min/Max

The Min/Max command is used to find the minimum and maximum values of the data plotted on the Y-Axis. This command requires that an X Region be selected. If you do not select a region, the search will be performed over the entire range of the data set. The command will operate on all visible traces, and the results will be placed on a new Min/Max page, assuming one does not already exist. In the case where this page already exists, the new information will overwrite the old information.

The steps to use this command are as follows:

  1. Select an X region using the Select X Region tool [image]. To select a region using this tool, left click in the main chart body at one bounding edge of the region. Holding the mouse button down, drag the mouse to the second bounding edge, and release the left button. You will then have a highlighted region on your chart.

  2. Once the region is selected, you may select the Min/Max command from the document menu. As soon as you select this command, the computer will begin to locate the minimum and maximum values for each visible trace.

    Note that the results are presented both on their own page, and in the QuickView area at the bottom of the chart. You can hide the QuickView window by clicking on the X on the side-bar of the QuickView.


Normalize By Area

To normalize your current-voltage data to the area of your sample, click the Options/Units for Current/Current Density selection of the Script-specific menu.

To remove area normalization, click Options/Units for Current/Current selection of the Script-specific menu.


Peak Baselines

The Peak Baselines command is used to bring up a dialog box which allows you to specify what lines are used for baselines on what peaks.

In the figure depicted below, there is one peak which is currently being drawn to the zero-line. There is also a line which has been drawn, and is the desired baseline for the peak.

To select the line (Line 1) as the baseline for the peak, select the Peak Baselines command. This will bring up the Baselines dialog box which contains a list of all the peaks, as well as a list of all the lines on the graph. This dialog is depicted in the figure below.

Notice that Peak 1 is selected in the left (Peak) listbox and None is selected in the right (Baseline) listbox. To make Line 1 the baseline for Peak 1, simply click on the Line 1 in the Baseline listbox. If there is more than 1 line, you can select any line as the baseline. If there is more than 1 peak, you must select the peak for which you wish to set the baseline.

The Update Lists button will update the list of Peaks and Baselines, in the event you have added a baseline or peak while this dialog box has remained open.

When you are satisfied with your selections, select the Close button. The graph will be updated to reflect the new baseline for the peak as shown below.


Peak Find

The Peak Find command is used to have the computer search a region of data for a localized peak or valley. The algorithm looks for a change in the slope of the specified region, which indicates a peak or a valley. The algorithm then searches in this area for the maximum or minimum value which it then takes as its peak. This algorithm is written in VBA and may be viewed or modified by the advanced user as necessary.

The steps to use this command are as follows:

  1. Make the trace on which to search for peaks the Active Trace. This can be done by right clicking on the trace and pressing Activate Trace.
  2. Select a region on this trace using the Select Portion of Curve tool [image]. To use this tool, left click with the mouse close to one bounding point of the region. Next, left click again near the second bounding point of the region. The region will become highlighted. If you select an improper region, no peaks may be found. To re-select a region, simply toggle the Select Portion of Curve tool, and try again.

  3. Once a region is selected, press the Peak Find command on the document menu. The algorithm will now begin to search for peaks in the selected region. If no peaks are found, you will see a message box stating no peaks have been found. Try selecting another region.
  4. If peaks are found, a new page will be added to the document, with a grid containing the peak information. If peaks had been found previously, the peak information will simply append the existing peak information on the peak page. The peak information will also be displayed in the QuickView window at the bottom of the graph. You can hide the QuickView window by clicking the X on the side-bar of the QuickView.

  5. You can now display the peak on the chart if you wish by using the Mark Peaks tool [image]. Selecting this tool will display the peak location, and the distance from the peak to the baseline. The baseline is either zero, or the Line object which is selected to be the baseline for the peak. The Peak Baselines command allows you to specify which line goes with which peak.

  6. Additional peaks can be found by repeating steps 1 through 4. To clear all peaks you can use the Clear Peaks command.


Smooth Data

The Smooth Data command is used in cases where the acquired data is less than ideal. There are some cases where exterior noise enters the cell and causes the data to have some minor oscillations. The Smooth Data command offers two different types of smoothing algorithms.

The first is a sliding window type, which takes a number of data points in a window. This window averages the data points, and then slides one spot, and again takes an average. This sliding effect is repeated until all the data has been traversed. This technique is simple, but has a downside of causing the heights of peaks to be changed.

The second type is a Savitzky-Golay smoothing filter, which is a low pass filter. The S-G filters is better at preserving the shapes of peaks. It approximates the underlying function with a polynomial. This method takes an order, which is the order of the polynomial, as well as a width, which is the number of points to be fit by the polynomial. The defaults of 4 for the order, and 16 for the width are suitable for the majority of applications, but can easily be changed.

The steps to smooth the data are as follows:

  1. Make the trace you wish to smooth the Active trace. This can be done by right clicking on the trace and pressing Activate Trace.

  2. Select the Smooth Data command from the document menu. This will display the Smooth Data dialog.

  3. Select the smoothing filter type, and then specify the conditions for that filter. Once you are satisfied, press Ok. At this point the data will be smoothed. One side effect of smoothing the data is that it replaces the original data in the document. To retrieve the original data, you must reload it from the original DTA file.


Differential Pulse Analysis Overview

The Differential Pulse Voltammetry analysis script allows the user to open Differential Pulse Voltammetry and Differential Pulse Stripping Voltammetry data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, hardware settings, and electrode settings.

The standard Differential Pulse analysis script shows a plot of Idifference versus Vforward on the first page. Common analyses performed from this graph include peak find and normalize by area. Descriptions of the analysis commands in the Differential Pulse Voltammetry menu can be found in the Commands section of the PV220 Data Analysis Help.


Differential Pulse Analysis Pages

The standard Differential Pulse analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Differential Pulse analysis. It contains the data plotted in a Idifference versus Vforward format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Electrode Settings

The Electrode Settings Page contains all of the electrode settings used during the run of the experiment. This page will specify if the experiment was a stripping experiment.

Additional Pages Which May Become Visible

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.

Peak Locations

This page contains a grid of Peak locations and magnitudes based on the most recent use of the Peak Find command.


Square Wave Analysis Overview

The Square Wave Voltammetry analysis script allows the user to open Square Wave Voltammetry and Square Wave Stripping Voltammetry data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard Square Wave analysis script shows a plot of Idifference versus Vstep on the first page. A second page showing a combination of Iforward, Ireverse, and I difference versus Vstep is also created. Common analyses performed from this graph include peak find and normalize by area. Descriptions of the analysis commands in the Square Wave Voltammetry menu can be found in the Commands section of the PV220 Data Analysis Help.


Square Wave Analysis Pages

The standard Sampled DC analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Sampled DC analysis. It contains the data plotted in an Iforward versus Vforward format.

Combined Chart

The Combined Chart page summarizes the Iforward, Ireverse, and Idifference traces on a single chart versus Vforward.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Electrode Settings

The Electrode Settings Page contains all of the electrode settings used during the run of the experiment. This page will specify if the experiment was a stripping experiment.

Additional Pages Which May Become Visible

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.

Peak Locations

This page contains a grid of Peak locations and magnitudes based on the most recent use of the Peak Find command.


Sampled DC Analysis Overview

The Sampled DC Voltammetry analysis script allows the user to open Sampled DC Voltammetry and Sampled DC Stripping Voltammetry data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, hardware settings, and electrode settings.

The standard Sampled DC analysis script shows a plot of Iforward versus Vforward on the first page. Common analyses performed from this graph include peak find and normalize by area. Descriptions of the analysis commands in the Sampled DC Voltammetry menu can be found in the Commands section of the PV220 Data Analysis Help.


Sampled DC Analysis Pages

The standard Sampled DC analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Sampled DC analysis. It contains the data plotted in an Iforward versus Vforward format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Electrode Settings

The Electrode Settings Page contains all of the electrode settings used during the run of the experiment. This page will specify if the experiment was a stripping experiment.

Additional Pages Which May Become Visible

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.


Normal Pulse Analysis Overview

The Normal Pulse Voltammetry analysis script allows the user to open Normal Pulse Voltammetry, Normal Pulse Stripping Voltammetry, Reverse Normal Pulse Voltammetry, and Reverse Normal Pulse Stripping Voltammetry data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, hardware settings, and electrode settings.

The standard Normal Pulse analysis script shows a plot of Iforward versus Vforward on the first page. Common analyses performed from this graph include peak find and normalize by area. Descriptions of the analysis commands in the Normal Pulse Voltammetry menu can be found in the Commands section of the PV220 Data Analysis Help.


Normal Pulse Analysis Pages

The standard Normal Pulse analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Normal Pulse analysis. It contains the data plotted in a Iforward versus Vforward format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Electrode Settings

The Electrode Settings Page contains all of the electrode settings used during the run of the experiment. This page will specify if the experiment was a stripping experiment.

Additional Pages Which May Become Visible

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.


Reverse Normal Pulse Analysis Overview

The Reverse Normal Pulse Voltammetry analysis script allows the user to open Reverse Normal Pulse Voltammetry, and Reverse Normal Pulse Stripping Voltammetry data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, hardware settings, and electrode settings.

The standard Reverse Normal Pulse analysis script shows a plot of Ireverse versus Vforward on the first page. Common analyses performed from this graph include peak find and normalize by area. Descriptions of the analysis commands in the Reverse Normal Pulse Voltammetry menu can be found in the Commands section of the PV220 Data Analysis Help.


Reverse Normal Pulse Analysis Pages

The standard Reverse Normal Pulse analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Normal Pulse analysis. It contains the data plotted in a Ireverse versus Vforward format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Electrode Settings

The Electrode Settings Page contains all of the electrode settings used during the run of the experiment. This page will specify if the experiment was a stripping experiment.

Additional Pages Which May Become Visible

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.


Galvanostatic Generic Pulse Analysis Overview

The Galvanostatic Generic Pulse analysis script allows the user to open Galvanostatic Generic Pulse data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, hardware settings, and electrode settings.

The standard Galvanostatic Generic Pulse analysis script shows a plot of Vforward versus Time on the first page. Common analyses performed from this graph include min/max and data smoothing. Descriptions of the analysis commands in the Galvanostatic Generic Pulse menu can be found in the Commands section of the PV220 Data Analysis Help.


Galvanostatic Generic Pulse Analysis Pages

The standard Galvanostatic Generic Pulse analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Galvanostatic Generic Pulse analysis. It contains the data plotted in a Vforward versus Time format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Electrode Settings

The Electrode Settings Page contains all of the electrode settings used during the run of the experiment. This page will specify if the experiment was a stripping experiment.

Additional Pages Which May Become Visible

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.


Potentiostatic Generic Pulse Analysis Overview

The Potentiostatic Generic Pulse analysis script allows the user to open Potentiostatic Generic Pulse data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, hardware settings, and electrode settings.

The standard Potentiostatic Generic Pulse analysis script shows a plot of Iforward versus Time on the first page. Common analyses performed from this graph include min/max and data smoothing. Descriptions of the analysis commands in the Potentiostatic Generic Pulse menu can be found in the Commands section of the PV220 Data Analysis Help.


Potentiostatic Generic Pulse Analysis Pages

The standard Potentiostatic Generic Pulse analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Potentiostatic Generic Pulse analysis. It contains the data plotted in a Iforward versus Time format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Electrode Settings

The Electrode Settings Page contains all of the electrode settings used during the run of the experiment. This page will specify if the experiment was a stripping experiment.

Additional Pages Which May Become Visible

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.


Library Routines: PV220

The PV220 uses functions and classes that are specifically designed for Pulse Voltammetry measurements. These include a Pulse signal, as well as a curve for the various pulse techniques.

The following items are described in this section.

Curve Classes

  • PV

Signal Classes

    • VPV
    • IPV


IPV

Type: Class

Purpose: The IPV class describes a current ramp and square wave waveform that can be applied by a potentiostat while in the Galvanostatic mode. The IPV object encapsulates information about the starting and ending currents, the ramp rate, and the data acquisition rate. Most of the activity associated with the IPV happens in the background while a PV.Run() is being executed.

IPV uses a staircase waveform in combination with a square wave waveform. Data is sampled at each level on the staircase.

The current range used for the IPV signal generator is selected from the largest absolute current specified by the ramp endpoints. The current range is fixed throughout the scan. The ramp generator does the best it can to hit the other endpoint using the current range in use. Generally the other endpoint current is only imprecise if it differs from the first by several orders of magnitude.


PV

Type: CLASS

Purpose: The PV class manages data acquisition for a Pulse Voltammetry curve. There may be more than one data acquisition object in a script, but only one may be running (i.e. acquiring values) at any time. The typical life cycle of a PV object is:

Pv = PV.New(Tag, Pstat) ; Create the Pv
Pv.SetPlot(Plottype) ; Determine the plot type
Pv.Run() ; Run the curve
Pv.Printl() ; Print the curve out to Output

When a Pv object is run, the potentiostat must be in either in Potentiostatic or Galvanostatic mode.


VPV

TYPE: Class

PURPOSE: The VPV class describes a voltage ramp and square wave waveform that can be applied by a potentiostat while in the potentiostat mode. The VPV object encapsulates information about the starting voltages, voltage step, pulse size, pulse duration, and the data acquisition rate. It also can be used to control a digital output used to signal electrodes. Most of the activity associated with the VPV happens in the background while a PV.Run() is being executed.


IPV.New()

Type: Class Function

Purpose: Create a new ramp and square wave generator. A given IPV object can be used by more than one curve but can be used by only one curve at a time.

Usage:

Ipv = IPV.New(Tag, Pstat, IInit, IStep, IPulseSize, EnableOverrideA, IOverrideA, EnableOverrideB, IOverrideB, Cycles, TimerRes, PulseTime, CycleTime, IntPeriod, DropKnockEnable, DropKnockDuration, DropKnockPolarity)
Tag | STRING | Object tag.
Pstat | PSTATCLASS | Potentiostat which will use the signal
IInit | REAL | InitialValue in Amps
IStep | REAL | Step in amps.
IPulseSize | REAL | Pulse size in amps
EnableOverrideA | BOOL | Override the A portion of the signal
IOverrideA | REAL | Override Current
EnableOverrideB | BOOL | Override the B portion of the signal
IOverrideB | BOOL | Override Current
Cycles | INDEX | Number of cycles to run this acquisition
TimerRes | REAL | Time between sampling data.
PulseTime | REAL | Duration of the pulse (B)
CycleTime | REAL | Duration of a cycle (A + B)
IntPeriod | REAL | Time for averaging data
DropKnockEnable | BOOL | Use the digital output
DropKnockDuration | REAL | Time to apply a signal
DropKnockPolarity | BOOL | Signal polarity
Ipv | IPV | The object created.


IPV.Signal

Type: License

Purpose: The Signal license is required by curve objects. The actual script text doesn't refer to the license.


Ipv.Tweak()

Type: Instance Function

Purpose: Modify an existing pulse waveform generator.

Usage:

Ipv.Tweak(Pstat, VInit, Vstep, VPulseSize, SampleTime)
Pstat | PSTATCLASS | Potentiostat which will use the signal
IInit | REAL | InitialValue in amps.
Istep | REAL | Voltage step in milliamps.
IPulseSize | REAL | Pulse size in milliamps.
SampleTime | REAL | Time between data acquisition steps.
Ipv | IPV | The existing IPV object


Pv.Activate()

Type: INSTANCE FUNCTION

Purpose: Make the real time plot of the PV object the Active plot. If the Runner window Curve List control is set to Active, the plot will be displayed. If the Runner window Curve List is set to a definite curve, the display does not change.

Usage:

Pv.Activate()


Pv.Count()

Type: INSTANCE FUNCTION

Purpose: Return the number of points actually acquired in a PV object. The number returned is not the number of points allocated.

Usage:

NumPoints = PV.Count()

NumPoints

INDEX

The number of points in the PV object. Zero is returned if no data has been acquired.


Pv.DataCol()

Type: INSTANCE FUNCTION

Purpose: Create and return an object of the class DATACOL. The object contains data extracted from one column of the PV object's data array. The data, once extracted, can then be submitted to other objects for further calculation.

A new DATACOL object is automatically created by the call to PV.DataCol(). It is usually transient, existing only for one function call.

Usage:

DataCol = Pv.DataCol(ColumnCode)
DataCol | DATACOL | The new object containing the data extracted from the PV data array.
ColumnCode | INDEX | A code identifying the column to be used.
 |  | 0 = Time
 |  | 1 = Applied Forward Voltage
 |  | 2 = Applied ReverseVoltage
 |  | 3 = Applied Step Voltage
 |  | 4 = Measured Current
 |  | 5 = Measured Forward Current
 |  | 6 = Measured Reverse Current
 |  | 7 = Measured Current Difference between Ifwd and Irev.
 |  | 8 = Applied Signal
 |  | 9 = Measured Aux Channel Voltage
 |  | Or use the predefined constants:
 |  | PV_T = Time
 |  | PV_Vfwd = Applied Forward Voltage
 |  | PV_Vrev = Applied ReverseVoltage
 |  | PV_Vstep = Applied Step Voltage
 |  | PV_Im = Measured Current
 |  | PV_IFwd = Measured Forward Current
 |  | PV_Irev = Measured Reverse Current
 |  | PV_Idif = Measured Current Difference between Ifwd and Irev.
 |  | PV_Sig = Applied Signal (V)
 |  | PV_Ach = Measured Aux Channel Voltage


Pv.DataValue()

Type: INSTANCE FUNCTION

Purpose: Extract a single data item from a PV object. The data item is taken from the ith data point and the jth data column. If no data has been taken the returned value is NIL.

Usage:

DataValue = Pv.DataValue(PointNum,ColNumber)
Result | REAL | The returned value.
 | NIL | No data acquired yet.
PointNum | INDEX | Point number, zero based. If PointNum is out of range, a value from the last acquired point is returned.
 | NIL | Always return a value from the last acquired point.
ColNumber | INDEX | Data column, with a range of 0 to 10. The meaning of the data in each column is given in the Pv.DataCol()description.


PV.New()

Type: CLASS FUNCTION

Purpose: Create a new PV object.

Usage:

Pv = PV.New(Tag, Pstat, ReverseDifference)
Tag | STRING | Optional. Used to print a different Tag than the one used in the call to PV.New()
Pstat | OBJECT | Pstat is an object with a PSTAT license
ReverseDifference (optional) | BOOL | FALSE or missing means that Idifference is calculated using Ifwd-Irev. TRUE means that Idifference is calculated using Irev-Idif.
Pv | PV | The curve object


Pv.Printl()

Type: INSTANCE FUNCTION

Purpose: Print the results of a Pv experiment out to the Output file. The Output record will be printed in the format:

CURVE<tab>”TABLE”<tab>41

<tab>”Pt”<tab>”T”<tab>”Vfwd”<tab>”Vrev”<tab>”Vstep”<tab>”Ifwd”<tab>”Irev”<tab>”Idif”<tab>”Sig”<tab>”Ach”<tab>”Over”

<tab>#<tab>s<tab>V<tab>V<tab>V<tab>A<tab>A<tab>A<tab>V<tab>V<tab>bits

<tab> Pt1 T V V V I I I V V Flags
<tab> Pt2 T V V V I I I V V Flags
...
<tab> PtN T V V V I I I V V Flags

Where the symbols have the following meanings:

Tag | The curve Tag (from PV.New() or optional argument)
Points | Total number of points acquired
Pt(#) | Sequential number of a point.
T | Elapsed time from starting from Pv.Run
Vfwd | Forward voltage applied (Volts)
Vrev | Reverse voltage applied (Volts)
Ifwd | Measured forward current (Amps)
Irev | Measured reverse current (Amps)
Idif | Difference between Ifwd and Irev (Amps)
Sig | Signal sent to Control Amp
Ach | Aux Channel Voltage
Over | Overload flags

Usage:

Pv.Printl(Tag)

Tag

STRING

Optional. Used to print a different Tag than the one used in the call to PV.New()


Pv.Run()

Type: INSTANCE FUNCTION

Purpose: Run the curve. When Pv.Run() is executed, the acquired data is displayed in a real-time curve. There are four buttons active during Pv.Run() - Abort, Pause/Continue, Skip, and Point. The Abort button terminates the entire experiment. The Skip button skips to the next phase of the experiment, either past the end of this curve or to the next region of the signal generator's operation.

The active run can be halted in several ways, namely: if the signal generator is finished, if the operator hits a Skip button, or if one of the stopping criteria is met. These stopping criteria can be enabled or disabled using the Pv.Thresh() and Pv.StopAt() functions.

Usage:

Result = Pv.Run()
Result | INDEX | 0 = Normal finish or Skip button pushed
 |  | 1 = Stop due to Under Criterion ( I < Imax )
 |  | 2 = Stop due to Over Criterion ( I > Imin )
 |  | 3 = Stop due to stable (abs(dI/dt < limit)
 |  | 4 = Stop due to runaway (abs(dI/dt > limit)
 |  | 5 = Stop due to decreasing ( dI/dt < limit)
 |  | 6 = Stop due to increasing ( dI/dt > limit)


Pv.SetAxis()

Type: INSTANCE FUNCTION

Purpose: Helps to define the real time display of a PV object. Associates an axis with a data column in the object. Controls linear/log display formatting and allows labeling of the axis.

You must call Pv.SetAxis for each of the axes in the real time plot. For a Y and Y' versus X plot you need 3 calls to Pv.SetAxis().

Usage:

Pv.SetAxis(AxisNo, Source, Scale, MinVal, Label, Units)
AxisNo | INDEX | Use the constants below to define which axis is being configured.
 |  | X_AXIS | X axis
 |  | Y_AXIS | Y axis (Y vs X plot) or Lower Y (Y, Y' vs X)
 |  | Z_AXIS | Upper Y axis (Y, Y' vs X only)
Source | INDEX | The column number containing the data to be plotted or use the predefined constants defined in Pv.DataCol() .
Scale | INDEX | LIN_AXIS | The axis is linear
 |  | LOG_AXIS | The axis is log
MinVal | REAL | Minimum value used in prevention of "ugly" plot scaling. MinVal is used differently depending on Scale setting. On a linear axis, this is the minimum resolution of the plot. The range of values shown on the axis cannot be smaller than MinVal. This prevents excessively fine scaling when plotting data where all the values are identical or very similar. On a log axis, this value is substituted for 0's in the data. This prevents infinite log values.
Label | STRING | The label used for the axis. Short names (one or two character labels are preferred).
Units | STRING | The units used for the axis. Short names (one or two character labels are preferred).


Pv.SetPlot()

Type: INSTANCE FUNCTION

Purpose: Format the real time display using the SetPlotView and Set Axis functions.

Usage:

Pv.SetPlot(View, MinI, MinV, MinT)
View | INDEX | 0 = Vfwd vs Im
 |  | 1 = Log I vs Vfwd
 |  | 2 = Im vs T, Vfwd vs T
 |  | 3 = Qfwd vs T
 |  | 4 = Im vs T
 |  | 5 = Irev vs T
 |  | 6 = Irev vs E
 |  | 7 = Vfwd vs T
 |  | 8 = Idif vs Vfwd
 |  | Or use the predefined constants:
 |  | PV_LINIV PV _LOGIV PV _ITVT PV_LINQT PV_LINIT PV_LINIRT PV_LINIRE PV_LINET PV_LINIDV
MinI | REAL | Minimum current value to display (optional)
MinV | REAL | Minimum voltage value to display (optional)
MinT | REAL | Minimum time value to display (optional)


Pv.SetPlotView()

Type: INSTANCE FUNCTION

Purpose: Set the number of graphs displayed in the real time display.

Usage:

Pv.SetPlotView(Format)
Format | INDEX | 0 = No Graph Displayed
 |  | 1 = Single Graph Displayed
 |  | 2 = Two Graphs displayed
 |  | Or use the predefined constants:
 |  | VIEW_NONE
 |  | VIEW_SINGLE
 |  | VIEW_DOUBLE


Pv.SetTitle()

Type: INSTANCE FUNCTION

Purpose: Set the current title of the curve.

Usage:

Pv.SetTitle(Title)

Title

STRING

A string representing the new title that the curve should use.


Pv.Sprint()

Type: INSTANCE FUNCTION

Purpose: Print the status of the Pv to a string. The object's tag and last acquired data point will be printed in the format:

Tag,PointNumber

Usage:

Result = Pv.Sprint()

Result

STRING

Resulting tag & point number (0 based).


Pv.SprintPoint()

Type: INSTANCE FUNCTION

Purpose: Used in output of data from a PV object. A data point from the object is printed to an ASCII string. This string can in turn be printed to the active output file.

The format of the data string is:

PointNumber <tab>T<tab>Vfwd<tab>Vrev<tab>Vstep<tab> Ifwd<tab>Irev<tab>Idif<tab>Sig <tab>Ach <tab> Over

You can use this function along with the Printl() function to output point i to the output file as follows:

Printl("\t",Pv.SprintPoint(i))

USAGE:

Result = Pv.SprintPoint(PointNumber)
Result | STRING | The output string
PointNumber | INDEX | The point to be printed. PointNumber is 0 based. If the requested point has not been taken, a parameter error will be issued.
T | REAL | Elapsed time from starting from Pv.Run
Vfwd | REAL | Applied forward voltage.
Vrev | REAL | Applied reverse voltage.
Vstep | REAL | Applied step voltage.
Ifwd | REAL | Measured forward current.
Irev | REAL | Measured reverse current.
Idiff | REAL | Difference between Ifwd and Irev.
Sig | REAL | Signal sent to Control Amp
Ach | REAL | Aux Channel Voltage
Over | STRING | Hexadecimal number representing overload status


Pv.StopAt()

Type: INSTANCE FUNCTION

Purpose: Enable or disable the Pv termination limits. There are 6 limiting conditions on which a curve may prematurely terminate:

Potentiostatic Mode
1. | Under | Im < Limit
2. | Over | Im > Limit

Galvanostatic Mode
1. | Under | V < Limit
2. | Over | V > Limit

The Over criterion is used to limit a positive swing in the measurement. The Under criterion limits a negative swing in the measurement.

These conditions may be individually enabled and disabled.

Usage:

Pv.StopAt(Under, Over)
Under | REAL | Enable the Under test and set value
 | NIL | Disable the Under test
Over | REAL | Enable the Over test and set value
 | NIL | Disable the Over test


Pv.StopAtDelay()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test.

For absolute tests, such as Im > Limit, the criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pv.StopAtDelay(Under, Over)
Under | INDEX | Delay for this number of points
 | NIL | Only one point required
Over | INDEX | Delay for this number of points
 | NIL | Only one point required


Pv.Title()

Type: INSTANCE FUNCTION

Purpose: Return the current title of the curve.

Usage:

Title = Pv.Title()

Title

STRING

The current title of the curve.


VPV.New()

Type: Class Function

Purpose: Create a new ramp and square wave generator. A given VPV object can be used by more than one curve but can be used by only one curve at a time.

The following code fragment is an example of the use of a VPV object:

Cycle = VPV.New(...)
Pstat.SetSignal(Cycle)
Pstat.InitSignal()
Pstat.SetCell(CellOn)
Vpv = PV.New("CURVE", Pstat)
Vpv.Run()
Vpv.Printl()
...
...

Usage:

Vpv = VPV.New(Tag, Pstat, VInit, VStep, VPulseSize, EnableOverrideA, VOverrideA, EnableOverrideB, VOverrideB, Cycles, TimerRes, PulseTime, CycleTime, IntPeriod, DropKnockEnable, DropKnockDuration, DropKnockPolarity)
Tag | STRING | Object tag.
Pstat | PSTATCLASS | Potentiostat which will use the signal
VInit | REAL | InitialValue in volts
VStep | REAL | Step in volts
VPulseSize | REAL | Pulse size in volts
EnableOverrideA | BOOL | Override the A portion of the signal
VOverrideA | REAL | Override Voltage
EnableOverrideB | BOOL | Override the B portion of the signal
VOverrideB | BOOL | Override Voltage
Cycles | INDEX | Number of cycles to run this acquisition
TimerRes | REAL | Time between sampling data.
PulseTime | REAL | Duration of the pulse (B)
CycleTime | REAL | Duration of a cycle (A + B)
IntPeriod | REAL | Time for averaging data
DropKnockEnable | BOOL | Use the digital output
DropKnockDuration | REAL | Time to apply a signal
DropKnockPolarity | BOOL | Signal polarity
Vpv | VPV | The object created.


VPV.Signal

Type: License

Purpose: The Signal license is required by curve objects. The actual script text doesn't refer to the license.


Vpv.Tweak()

Type: Instance Function

Purpose: Modify an existing Voltage ramp generator.

Usage:

Vpv.Tweak(Pstat, VInit, Vstepl, VPulseSize, SampleTime)
Pstat | PSTATCLASS | Potentiostat which will use the signal
VInit | REAL | InitialValue in volts.
Vstep | REAL | Voltage step in millivolts.
VPulseSize | REAL | Pulse size in millivolts.
SampleTime | REAL | Time between data acquisition steps.
Vpv | VPV | The existing VPV object.


Advanced Pstat Setup

The Advanced Pstat Setup checkbox, if checked, will bring up the Hardware Settings dialog. This dialog is used to control specific aspects about your hardware. If you are not an advanced user, or simply wish to use the default hardware settings as specified in the scripts, just un-check this box. If however, you wish to specifically set some hardware items, check this box and you will be presented with further options upon pressing Ok.

The Hardware Settings dialog will look similar to the picture depicted below for PCI4 family potentiostats. PC5 family potentiostats will have similar selections.


Conditioning

One of the first steps in the experimental sequence is the optional conditioning of the electrode. Conditioning is used to insure that the electrode has a known surface state at the start of the electrode. You may condition the electrode to remove an oxide film or to grow one. Conditioning can be turned On or Off with the Conditioning check box on the Setup menu. Conditioning is done potentiostatically at the Conditioning E for a known time, Conditioning Time.

E is the potential applied during the conditioning phase of the experimental sequence. The conditioning potential has an allowed range of ±8 V. E is always specified versus the reference electrode.

Time is the length of time that the sample is potentiostatically controlled at the Conditioning E. The units for Time are seconds. The minimum time is one second. The maximum time is 400,000 s (more than 4 days). Below 1000 seconds, the time resolution is 1 s. Between 1000 and 10,000 s, the resolution is 10 s and above 10,000 s it is 100 s.


Electrode Area

The Electrode Area parameter is the surface area of the electrode (in cm²) exposed to the sample solution. If you do not wish to enter an area, leave this parameter at its default value of 1.0 cm².


Electrode Setup

The Electrode Setup checkbox, if checked, will bring up the Electrode Setup dialog. This dialog is used to control specific aspects about your electrode. If you are not an advanced user, or simply wish to use the default electrode settings, just un-check this box. If however, you need to specifically set the electrode type or stir/purge conditions, some hardware items, check this box and you will be presented with further options upon pressing Ok.

The Electrode Setup dialog will look similar to the picture depicted below.

The electrode types are:

None | No special electrode
Solid | Solid Type Electrode
DME | Dropping Mercury Electrode
SMDE | Static Mercury Drop Electrode
HMDE | Hanging Mercury Drop Electrode
Rotating | Rotating Disk Electrode

If you select a Rotating electrode, you will be shown an additional setup dialog shown below.

In this setup dialog you specify the rotation speed of the electrode. This speed is entered in Revolutions Per Minute (RPM). If you wish to have the rotation stop at the end of the experiment, select the checkbox to turn off rotation after the experiment.


Equil Time

The Equilibration Time corresponds to the amount of time the cell spends at the Initial E setting with the cell turned on. This allows the electrode and the solution time to equilibrate if needed. The current is not monitored during the equilibration time.

The time is entered in seconds and must be an integer value. If it is not an integer value, it will be rounded to an integer value when the experiment executes. If you do not wish to have the cell equilibrate at the Initial E setting, set the Equilibration Time to zero. The maximum setting for the Equilibration Time is longer than practically needed (>10^9 seconds).


Final E

The Final E parameter is the ending potential of the scan segment. This potential is specified versus Eref. This potential is entered in Volts.


I/E Range Mode

The I/E Range Mode parameter controls the autorange state of the I/E converter. If Auto is selected, the I/E Range will be able to freely adjust based on measured currents. If Fixed is selected, the I/E Range will be fixed on a range which is able to measure the current entered in the Max Current parameter.

For fast experiments, it is recommended that Fixed be used for the I/E Range Mode. This setting will prevent glitches in the current measurement as the I/E Range resistor is switched.


Initial E

The Initial E parameter is the starting potential of the scan segment. This potential is specified versus Eref. This potential is entered in Volts.


IRComp

The IR Comp parameter specifies the type of IR Compensation to be used during data acquisition. There are three possible settings for this parameter.

None

No IR Compensation is performed.

PF

Positive Feedback IR Compensation takes a user entered correction value (PF Corr) to correct for the uncompensated resistance. Because this value is entered at the beginning of the experiment, and is not measured after every point, this compensation method is suitable for fast experiments.

CI

Current Interrupt IR Compensation will be used. In this technique, a current interrupt measurement is after each point, and a determination of the uncompensated resistance is made based on the drop in the voltage measurement. This technique is not suitable for fast experiments, and Positive Feedback IR Compensation should be used instead.


Max Current

The Max Current parameter controls the current measurement range when the I/E Range Mode is Fixed. When the I/E Range Mode is Auto, the Max Current parameter specifies the maximum expected starting current.

You enter a Max Current value that is the largest current that you expect to see during the scans. From this information the software sets the current range used in the experiment. In order to use the most sensitive range that will not overload, the software will chose the current range based on a value that is 89% of the full scale current range. For example, when using a PC4/750, if a Max Current of 66 mA is input, the current range will be 75 mA. On the other hand, if a Max Current of 67 mA is entered, the 750 mA current range will be selected.

NOTE: The Max Current parameter is a current not a current density. The electrode area is not used calculation of the current range to use.

If your current data looks very choppy and steppy, the problem could be a poorly selected current range. If you enter a Max Current value of 10 mA and the maximum current in your sweeps is only 100 mA, you are only using 1/100th of the potentiostat's A/D converter range. The result is significant quantization error. Rerun the test entering a smaller Max Current in Setup.

If your current data shows perfectly flat, horizontal regions, the current has most likely overloaded the potentiostat's current measurement circuits. Check that the value that you entered for the Max Current parameter is larger that the actual measured cell current. Try rerunning the test with a larger value for the Max Current.


Noise Rejection

The Noise Rejection option allows the user to specify how a measurement is taken. When noise rejection is turned off, a single point is taken for the measurement. When noise rejection is turned on, data points are taken and averaged for the duration of a line cycle. The line cycle will be either 50 or 60 Hz. The speed at which data acquisition is taken varies based on the instrument used. PCI4 family potentiostats take data at a 166.666 µs/sample rate while PC5 family potentiostats take data at a rate of 33.333 µs/sample.


Notes

The Notes field allows you to enter several lines of text that describe the experiment. A typical use of Notes is to record the experimental conditions for a data set.

To the right hand side of the notes is a button. This button allows you to bring up a dialog box, shown below, which will show more of the notes at one time. You can edit the notes in either place.

Notes defaults to an empty string.

The Notes string is limited to 400 characters. It can include all printable characters including numbers, upper and lower case letters, and the most normal punctuation including spaces. tab characters are not allowed in the Notes string.

You can divide your Notes into lines using enter.


Output File

The Output File parameter is the pathname of the file in which the output data will be written. It can be a simple filename with no path information. In this case the output file is located in the default data directory. The default data directory is specified in the Gamry.INI file under the [Framework] section with a Key named DataDir. This default pathname can be changed using the Paths command under the Options Menu.

It can also include path information, such as "C:\MY GAMRY DATA\YOURDATA.DTA." In this example, the data will be written to the "YOURDATA.DTA" file in the "MY GAMRY DATA" directory on drive C.

The default value of the Output File parameter is an abbreviation of the technique name with a ".DTA" filename extension. We recommend that you use a ".DTA" filename extension for your data filenames. The data analysis package assumes that all data files have ".DTA" extensions.

NOTE: The software does not automatically append the ".DTA" filename extension. You must add it yourself.

If the script is unable to open the file, an error message box, "Unable to Open File," is generated. Common causes for this type of problem include:

  • An invalid filename.
  • The file is already open under a different Windows application.
  • The disk is full.

After you select OK in the error box, the script returns to the Setup box where a new filename can be entered.


PF Corr

The Positive Feedback Correction parameter is used during Positive Feedback IR Compensation. This parameter is where the value for the uncompensated resistance is entered in ohms. This resistance may already be known, or may need to be measured first. The Run Estimation experiment gives a measured value for the uncompensated resistance.


Control Amp Speed

The Control Amp Speed setting sets the roll off filter on the potentiostat control amp. It can be varied from slow to fast.

The control amplifier roll off affects the overall stability of the potentiostat. As with the I/E Stability disclaimer, we can only offer you a guideline in setting the Control Amp Speed.

If the potentiostat oscillates on all current ranges change the setting. If you are unsure as to what setting to use, leave it on the default setting.


Current Channel Filter

The Current Channel Filter setting controls the hardware filter on the current measuring channel. This filter has no effect on potentiostat stability. You should make sure that you select a filter setting which is appropriate for the acquisition frequency specified in the experimental setup.


I/E Speed

Sets which I/E electrometer (Fast or Slow) is to be used on a PC4 Femtostat. For other potentiostats, this option has no use.


I/E Stability

This setting controls the I/E converter stability for potentiostat mode. There are three settings for stability on PCI4 family potentiostats, Fast, Normal, and Slow with the most stable case being Slow. The Fast value corresponds to no extra I/E converter filtering. The Normal value corresponds to a small I/E filter which enhances stability. The Slow value corresponds to a large I/E filter which removes 50/60 Hz noise in the lower current ranges. On PC5 family potentiostats, there is an additional stability setting, which is called Medium Fast. It falls between the Fast and Normal settings.

While it would take an advanced course in amplifier design to completely understand the stability setting, we can offer you a few guidelines:

  1. Always leave the stability in Fast for galvanostatic operation.
  2. If the potentiostat is showing high speed oscillation that depends on the current range in use, try increasing the Stability setting.
  3. If your curves are noisy at low currents, try setting Stability to Slow.
  4. If you are acquiring data faster than 0.2 seconds/point and see glitches when the current range changes, try decreasing the stability.


Voltage Channel Filter

The Voltage Channel Filter setting controls the hardware filter on the voltage measuring channel. This filter has no effect on potentiostat stability. You should make sure that you select a filter setting which is appropriate for the acquisition frequency specified in the experimental setup.


Pstat

The Pstat parameter selects the potentiostat/galvanostat that will perform the experiment. Each labeled button corresponds to an installed potentiostat. When a potentiostat has been selected, its corresponding button is filled in.

In a multiple potentiostat system you can change the potentiostat selection by clicking on a Pstat’s button using the mouse. From the keyboard, you will tab down until a dotted line appears around one of the Pstat labels, then hit the spacebar to select among the potentiostats. Only one potentiostat can be selected at a time, so selecting one potentiostat will de-select another one.


Test Identifier

The Identifier parameter is a string that is used as a name. It is written to the data file, so it can be used to identify the data in database or data manipulation programs.

The Identifier string defaults a name derived from the technique's name. While this makes an acceptable curve label, it does not generate a unique descriptive label for a data set.

The Identifier string is limited to 80 characters. It can include almost any normally printable character. Numbers, upper and lower case letters, and most normal punctuation characters including spaces are valid.


Accum Time

Type topic text here.


Pulse Size


Pulse Time


Sample Period


Step Size


Cycles

The Cycles parameters specifies the total number of times a pulse sequence will be applied to the sample. The total time of a pulse sequence includes the Pulse Time and the Pulse Off Time.


Plot

The Plot parameter specifies the run-time plot format. The format displayed during the run-time has no effect upon what can be viewed during analysis.

Q/T: Charge versus Time

E/T: Voltage versus Time

I/T: Current versus Time


Initial I

The Initial I parameter is the starting current of the scan segment. This current is entered in milliAmps.


Limit V

The Limit V parameter specifies a stopping limit (voltage) for the experiment. If the measured voltage exceeds this value, either in a positive or negative sense, the experiment will be terminated.


Pulse Off Time


Sample Period (Reverse Normal Pulse)

Sample Period


Frequency